# GDQuest Code of Conduct v1.0.0

*This document is a modified version of the [GNU Kind Communications Guidelines](https://www.gnu.org/philosophy/kind-communication.html) by Richard Stallman.*

*In short, our goal with these guidelines is to build a welcoming, a safe, and a productive space for every creator and contributor. We're here to push Free Software projects forward together, working past our differences.*

This project encourages contributions from anyone who wishes to help with the development of any GDquest project, regardless of gender, race, religion, cultural background, and any other demographic characteristics, as well as personal political views.

People are sometimes discouraged from participating in development because of certain patterns of communication that strike them as unfriendly, unwelcoming, rejecting, or harsh. This can especially affect unpriviledged people, but it is not limited to them. Therefore we ask all contributors to make a conscious effort, in the project discussions, to avoid communication practices that will predictably and unnecessarily risk putting some contributors off.

These guidelines suggest specific ways to accomplish that goal.

Please assume other participants are posting in good faith, even if you disagree with what they say. When people present code or text as their own work, please accept it as their work. Please do not criticize people for wrongs that you only speculate they may have done; stick to what they actually say and actually do.

Please think about how to treat other participants with respect, especially when you disagree with them. For instance, call them by the names they use, and honor their preferences about their gender identity<sup>[1](#1-footnote)</sup>.

Please avoid using a harsh tone with other participants, and don't make personal attacks against them. Try to show that you are criticizing a statement, not a person.

Critiques on your statements are not a attacks on your person or your identity. If you feel that someone attacked you or offended your dignity, please don't “hit back” with another personal attack as it tends to start a vicious circle of escalating verbal aggression. A private reply, politely stating your feelings as feelings, and asking for peace, may calm things down. Write it, set it aside for hours or a day, revise it to remove the anger, and only then send it.

Please avoid statements about the presumed desires, capabilities, or actions of some demographic group. They can offend people in that group, and they are always off-topic in our projects' discussions.

Please be especially kind to other contributors when saying they made a mistake. All of us developers and designers make lots of mistakes, that's part of our craft. Conscientious programmers make mistakes, and then fix them. It is helpful to show contributors that being imperfect is normal, so we don't hold it against them, and that we appreciate their imperfect contributions though we hope they follow through by fixing any problems in them.

Please respond to what people actually said, not to exaggerations of their views. Your criticism will not be constructive if it is aimed at a target other than their real views.

If in a discussion someone brings up a tangent to the topic at hand, please keep the discussion on track by focusing on the current topic rather than the tangent. This is not to say that the tangent is bad, or not interesting to discuss—only that it shouldn't interfere with discussion of the issue at hand. In most cases, it is also off-topic, so those interested ought to discuss it somewhere else.

If you think the tangent is an important and pertinent issue, please bring it up as a separate discussion, with a fitting title, and consider waiting for the end of the current discussion.

Rather than trying to have the last word, look for the times when there is no need to reply. If you already made the relevant point clear enough, there is sometimes no need to insist on it. Your time and energy might be better spent moving to another task.

Please don't argue unceasingly for your preferred course of action when a decision for some other course has already been made. That tends to block the activity's progress.

If other participants complain about the way you express your ideas, please make an effort to cater to them. You can find ways to express the same points while making others more comfortable. You are more likely to persuade others if you take a step towards them.

Please don't raise unrelated political issues in these projects' discussions, because they are off-topic.

By making an effort to follow these guidelines, we will encourage more contribution to our projects, and our discussions will be friendlier and reach conclusions more easily.

----

<a name="1-footnote"><sup>1</sup></a> Honoring people's preferences about gender identity includes not referring to them in ways that conflict with that identity. For instance, not to use pronouns that conflict with it for them . There are several ways to avoid that; one way is to use gender-neutral pronouns, since they don't conflict with any possible gender identity. One such pronoun is singular use of “they.” Another is “person.”
