# Game concept

A turn-based role-playing game engine inspired by the old installments in the
Final Fantasy series.

## The goal

The goal of this project is to provide the gamedev community with a demo that
shows how game systems interlock together in a sizeable game, in Godot.

This demo is both a framework to create turn-based RPGs, it is also an
educational and a community-driven, international project.

The initial demo intentionally draws inspiration from RPG Maker and old
instalments in the Final Fantasy and Dragon Quest series. The idea is to make
the engine's foundations both classic, so we all have a reference to work from,
and flexible so we can all contribute to the project creatively.

For more details on the project's scope and open tasks, check the [Github
milestones](https://github.com/GDquest/godot-turn-based-rpg/milestones).

## Story

Robi and Godette are on the way to play with their friend Godot. However, they can't decide on the game to play.

On the way, they meet with a cat who hears them talking:
"You should play the ball!", Says the cat, "I know where you can get the roundest, the smoothest, the most pleasant ball."
Excited by the cat's idea, the go out of their way and embark on a journey to find the ball.

When the two lads finally find the ball, they are thrilled. That is, until they put their hands on it, only to see it's old and dusty. It's missing air, so it's no good to play. The cat is also there. It argues that balls suck anyway and that it knows a better game. They could play swords and shields! All they need is cardboard and sticks. He happens to know where they can find the shiniest, the smoothest stick. Once again, our heroes deviate from their path to find it.

The story plays again and again. The stick is bent, and the cardboard is wet. But the cat always has a solution: it knows a better toy and a better game.

Eventually, the sun starts to set, and Robi and Godette realize they are late. They drop all their toys and run to the playground. There are drawings in the sandbox and toys scattered all around. Godot is there, running after a butterfly.

## Mechanics ##

The game's mechanics draw from classical JRPGs.

The idea is to produce a standard yet a flexible foundation, primarily inspired by old Final Fantasy games and RPG maker, to allow for greater creative freedom with the game's content.

### Combat system

The combat system aims to serve as a base to build turn-based role playing game. It draws inspiration from old instalments of the Final Fantasy and Dragon Quest series, as well as RPG Maker.

Battle encounters are turn-based. The battlers act one after the other in an order decided depending on their speed.

Each character has a distinct set of available combat actions depending on their job.

<!-- #### Style -->

<!-- Style points allow characters to unleash powerful attacks.  -->


## Characters

### Robi the robot

Robi is a delicate and a timorous robot. He's afraid of dirt, of the dark, of the unknown... he's ashamed of bad words and is especially shy. He wants to look strong so he tries to hide his real feelings.

#### In combat

Robi's weapon of choice is a bilboquet. He fires it at enemies and uses it to either hit one or multiple opponents, swinging his weapon like a wrecking ball.

Robi has focused, powerful attacks that target one enemy but temporarily leave it out of power, and shallow ones that can affect multiple opponents for moderate damage. He also protects its allies.

##### Energy

Robi relies on energy to fight. Energy slowly refills on every turn. When out of batteries, Robi falls in falls in Eco mode until his batteries fully recharged. In Eco mode, Robi becomes weaker.

Robi can enter recharge mode to refill his energy a lot faster, in which case he's unusable for a few turns.

##### Special abilities

Meteor strike: Robi jumps out of the battlefield and propels himself up into the stratosphere. He fires a bullet that falls on his foes like a meteorite.

### Godette

Godette is an adventurous, if not a reckless young girl. She's curious about anything and everything.

### Kitty

Kitty's a mischievous cat. He's a selfish liar and a thief.

#### In combat

Kitty does not like orders. He does not always listen to the player: the player's goal is to figure out which order is most likely to succeed. When in danger, he will hide behind his teammates to protect himself.

## Aesthetics

Cute, colorful, round, stylized.

## The world

The world of Godot is an allegory of the game creator’s journey. It mixes unspoiled nature and technology, especially elements related to game creation.

### Monsters: the Bugs

The monsters in the game spawn from software bugs.

The protagonists encounter bugs on their way to their goal. Bugs arise from anywhere, from any game component, including e.g. the UI, and sometimes from the characters themselves.

Bugs take various shapes inspired by insects and animals.

*This gives us designers room to share some of our experiences into the game demos.*

## Technology ##

2d game powered by the Godot engine. For desktop platforms only
(*Windows and Linux to start with*).

## Prototypes ##
